package com.phm.manage.mapper;

import com.phm.manage.domain.ForecastResult;

import java.util.List;

/**
 * 预测结果Mapper接口
 *
 * @author phm
 * @date 2023-08-31
 */
public interface ForecastResultMapper {
    /**
     * 查询预测结果
     *
     * @param id 预测结果主键
     * @return 预测结果
     */
    public ForecastResult selectForecastResultById(Long id);

    /**
     * 查询预测结果列表
     *
     * @param forecastResult 预测结果
     * @return 预测结果集合
     */
    public List<ForecastResult> selectForecastResultList(ForecastResult forecastResult);

    /**
     * 新增预测结果
     *
     * @param forecastResult 预测结果
     * @return 结果
     */
    public int insertForecastResult(ForecastResult forecastResult);

    /**
     * 修改预测结果
     *
     * @param forecastResult 预测结果
     * @return 结果
     */
    public int updateForecastResult(ForecastResult forecastResult);

    /**
     * 删除预测结果
     *
     * @param id 预测结果主键
     * @return 结果
     */
    public int deleteForecastResultById(Long id);

    /**
     * 批量删除预测结果
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteForecastResultByIds(Long[] ids);
}
